Skip to content

Create an identity source

This document is automatically generated based on https://github.com/authing/authing-docs-factory based on the https://api-explorer.genauth.ai V3 API, and is consistent with the API parameters and return results. If this document description is incorrect, please refer to the V3 API.

Create an identity source, you can set the identity source name, connection type, tenant ID, etc.

Method name

ManagementClient.createExtIdp

Request parameters

NameTypeRequiredDefault valueDescriptionExample value
typestringyes-Identity source connection typead
namestringyes-Identity source nameexampleName
tenantIdstringno-Tenant ID60b49eb83fd80adb96f26e68

Sample code

ts
import { ManagementClient, Models } from "authing-node-sdk";

// Initialize ManagementClient
const managementClient = new ManagementClient({
  // Need to be replaced with your GenAuth Access Key ID
  accessKeyId: "GEN_AUTH_ACCESS_KEY_ID",
  // Need to be replaced with your GenAuth Access Key Secret
  accessKeySecret: "GEN_AUTH_ACCESS_KEY_SECRET",
  // If it is a private deployment customer, you need to set the GenAuth service domain name
  // host: 'https://api.your-authing-service.com'
});

(async () => {
  const result = await managementClient.createExtIdp({
    name: "exampleName",
    type: Models.CreateExtIdpDto.type.AD,
    tenantId: "60b49exxxxxadb96f26e68",
  });

  console.log(JSON.stringify(result, null, 2));
})();

Request response

Type: ExtIdpSingleRespDto

NameTypeDescription
statusCodenumberBusiness status code, which can be used to determine whether the operation is successful. 200 means success.
messagestringDescription
apiCodenumberSegmented error code, which can be used to get the specific error type (successful request does not return). For a detailed list of error codes, see: API Code List
requestIdstringRequest ID. Returned when the request fails.
data<a ExtIdpDtoResponse data

Sample result:

json
{
  "statusCode": 200,
  "message": "Operation successful",
  "requestId": "934108e5-9fbf-4d24-8da1-c330328abd6c",
  "data": {
    "id": "60b49eb83fd80adb96f26e68",
    "name": "default",
    "logo": "https://files.authing.co/authing-console/social-connections/wechatIdentitySource.svg",
    "tenantId": "60b49eb83fd80adb96f26e68",
    "type": "wechat"
  }
}

Data structure

ExtIdpDto

NameTypeIs it required?DescriptionSample value
idstringYesIdentity source id60b49eb83fd80adb96f26e68
namestringyesIdentity source namedefault
logostringyesIdentity source logohttps://files.authing.co/authing-console/social-connections/wechatIdentitySource.svg
tenantIdstringnoTenant ID60b49eb83fd80adb96f26e68
typestringyesIdentity source typewechat

Agent infrastructure for identity, memory, and web action.